Skip to content

List file uploads

Request

Returns a paginated list of File Uploads for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""contentType""fileName""notes""sizeBytes"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
contentTypestring

MIME type of the uploaded file (e.g., 'application/pdf', 'image/jpeg').

fileNamestring

Original file name as provided by the client or system.

notesstring

Optional notes or description associated with the file.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/file-upload?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&contentType=string&fileName=string&notes=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of File Uploads